python
class Elevator:
def __init__(self, floors):
self.floors = floors
self.current_floor = 1
self.direction = "вверх"

def open_doors(self):
print("Двери открыты")

def close_doors(self):
print("Двери закрыты")

def move_up(self):
if self.current_floor < self.floors:
self.current_floor += 1
print(f"Лифт движется вверх, текущий этаж: {self.current_floor}")
else:
print("Лифт уже на самом верхнем этаже")

def move_down(self):
if self.current_floor > 1:
self.current_floor -= 1
print(f"Лифт движется вниз, текущий этаж: {self.current_floor}")
else:
print("Лифт уже на самом нижнем этаже")

def call_elevator(self, floor_number):
if 1 <= floor_number <= self.floors:
print(f"Вы вызвали лифт на этаже {floor_number}")
if floor_number > self.current_floor:
self.direction = "вверх"
elif floor_number < self.current_floor:
self.direction = "вниз"
self.move_to_floor(floor_number)
else:
print("Такого этажа нет")

def move_to_floor(self, floor_number):
if self.current_floor == floor_number:
self.open_doors()
self.close_doors()
else:
while self.current_floor != floor_number:
if self.direction == "вверх":
self.move_up()
elif self.direction == "вниз":
self.move_down()

floors = 10
elevator = Elevator(floors)

elevator.call_elevator(3)
